gd_hide(3)

NAME
gd_hide, gd_unhide — hide or unhide a dirfile database entry

SYNOPSIS
#include <getdata.h>

int gd_hide(const DIRFILE *dirfile, const char *entry_name);

int gd_unhide(const DIRFILE *dirfile, const char *entry_name);

DESCRIPTION
The gd_hide() function hides the field or alias called entry_name in the dirfile(5) database specified by dirfile and indicates whether the field or alias called is hidden or not. Similarly, the gd_unhide() function unhides the specified entry. An entry can also be hidden or unhidden using gd_alter_entry(3).

A hidden entry does not appear in the field lists returned by the functions gd_field_list(3), gd_field_list_by_type(3), gd_vectors(3), gd_constants(3), and gd_strings(3). These omissions are also reflected in the counts returned by the corresponding field counting functions (gd_nfields(3), &c.). A hidden field is otherwise no different than an unhidden field.

RETURN VALUE
Upon successful completion, gd_hide() and gd_unhide() return zero. On error they returns -1 and sets the dirfile error a non-zero error value. Possible error values are:

GD_E_ACCMODE
    The specified dirfile was opened read-only.

GD_E_BAD_CODE
    The field specified by field_code was not found in the database.

GD_E_BAD_DIRFILE
    The supplied dirfile was invalid.

GD_E_PROTECTED
    The metadata of the affected format specification fragments was protected from change.

The dirfile error may be retrieved by calling gd_error(3). A descriptive error string for the last error encountered can be obtained from a call to gd_error_string(3).

SEE ALSO
gd_alter_entry(3), gd_field_list(3), gd_hidden(3), gd_nfields(3), gd_open(3), dirfile(5)